%?mingw_package_header

%global mingw_build_win32 1
%global mingw_build_win64 1

%global rc_version rc2
Name:		mingw-libffi
Version:	3.0.11
Release:	0.3.%{rc_version}%{?dist}
Summary:	A portable foreign function interface library for MinGW

Group:		System Environment/Libraries
License:	BSD
URL:		http://sourceware.org/libffi
Source0:	ftp://sourceware.org/pub/libffi/libffi-%{version}-%{rc_version}.tar.gz

# Needed to build against mingw-w64
Patch0:         libffi-mingw-w64-compatibility.patch

BuildArch:	noarch

BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-binutils
BuildRequires:	mingw32-gcc

BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-binutils
BuildRequires:	mingw64-gcc


%description
Foreign function interface library for MinGW.


# Win32
%package -n mingw32-libffi
Summary:	A portable foreign function interface library for MinGW

%description -n mingw32-libffi
Foreign function interface library for MinGW.

# Win32 static
%package -n mingw32-libffi-static
Summary:       A portable foreign function interface static library for MinGW

%description -n mingw32-libffi-static
Foreign function interface static library for MinGW.


# Win64
%package -n mingw64-libffi
Summary:	A portable foreign function interface library for MinGW

%description -n mingw64-libffi
Foreign function interface library for MinGW.

# Win64 static
%package -n mingw64-libffi-static
Summary:       A portable foreign function interface static library for MinGW

%description -n mingw64-libffi-static
Foreign function interface static library for MinGW.


%?mingw_debug_package


%prep
%setup -q -n libffi-%{version}-%{rc_version}
%patch0 -p0


%build
%mingw_configure --enable-shared
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{mingw32_infodir}
rm -rf $RPM_BUILD_ROOT%{mingw64_infodir}
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


%files -n mingw32-libffi
%doc LICENSE README
%{mingw32_bindir}/libffi-6.dll
%{mingw32_libdir}/libffi.dll.a
%{mingw32_libdir}/pkgconfig/*.pc
%{mingw32_libdir}/libffi-%{version}-%{rc_version}

%files -n mingw32-libffi-static
%{mingw32_libdir}/libffi.a

%files -n mingw64-libffi
%doc LICENSE README
%{mingw64_bindir}/libffi-6.dll
%{mingw64_libdir}/libffi.dll.a
%{mingw64_libdir}/pkgconfig/*.pc
%{mingw64_libdir}/libffi-%{version}-%{rc_version}

%files -n mingw64-libffi-static
%{mingw64_libdir}/libffi.a


%changelog
* Fri May 11 2012 Eric Smith <eric@brouhaha.com> - 3.0.11-0.3.rc2
- Added static subpackages

* Sat Mar 10 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.0.11-0.2.rc2
- Added win64 support

* Thu Mar 08 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.0.11-0.1.rc2
- Update to 3.0.11-rc2
- Removed .la file

* Tue Mar 06 2012 Kalev Lember <kalevlember@gmail.com> - 3.0.9-5
- Renamed the source package to mingw-libffi (#800427)
- Spec clean up

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.0.9-4
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Oct 9 2010 Paolo Bonzini <pbonzini@redhat.com> - 3.0.9-1
- Created.
